Subject: Re: [PATCH] staging: r8822be: Fix typo for CONFIG_RTLWIFI_DEBUG

From: Greg KH <[email-masked]>
Date: Tue, 29 Aug 2017 16:42:16 +0200

On Tue, Aug 29, 2017 at 09:10:10AM -0500, Larry Finger wrote:
> On 08/29/2017 06:30 AM, Andreas Ziegler wrote:
> > The debugging output in deinit_priv is guarded by an  #ifdef using
> > CONFIG_RTL_DEBUG. This symbol does not exist and should be
> > CONFIG_RTLWIFI_DEBUG instead.
> > 
> > Signed-off-by: Andreas Ziegler <[email-masked]>
> 
> NACK.
> 
> Yes, there is a problem; however, CONFIG_RTLWIFI_DEBUG is not the value that
> should be used. That one is reserved for the non-staging drivers in
> drivers/net/wireless/realtek/rtlwifi/. The correct symbol for r8822be is
> CONFIG_RTLWIFI_DEBUG_ST.

Yeah, kbuild just blew up on this as well, I wonder why my local build
testing didn't see that :(

Now dropped.

greg k-h